#ifndef _FIREOBJECT_
#define _FIREOBJECT_

#include "Engine.h"

#include "simple-xml/XmlDocument.h"
#include "Globals.h"
class FireObject : public SceneObject{
private:
	//Vector position, speed;
	//Quaternion rotation;
	GpuThesis::Engine *engine;
	float *pos;
	bool simulate;
public:
	FireObject(){};
	FireObject(float x, float y, float z, std::auto_ptr<SDL::OpenGLContext> glContext, char *cfgFile);
	~FireObject();
	void update();
	void render();
	void calcLOD();
};
#endif