#ifndef _CAMERA_
#define _CAMERA_
#include "Globals.h"



class Camera{
private:
	Quaternion rotation;
	Vector position, attitude;
public:
	Camera(){};
	Camera(Vector position);
	~Camera();
	void update();
	void render();
	void rotate(Axis axis, float val);
	void move(Vector v);
	void printPos();

};
#endif
