#ifndef _STATICOBJECT_
#define _STATICOBJECT_
#include "Globals.h"
//#include "Material.h"


class StaticObject: public SceneObject{
private:
	float *vertices, *normals, *texcoords, *colors, *rotMat, sizex, sizey, sizez;
	uint *indices;
	int vertexCount, faceCount;
	Quaternion rotation;
	Vector position;
	//Material * material;
public:
	StaticObject(){};
	StaticObject(int vc, float *v, int fc, uint *i, float *n, float *t, float *c);
	~StaticObject();
	void update();
	void render();
	void calcLOD();
	void setPosition(float x, float y, float z);
	void rotate(Axis axis, float val);
	void setSize(float x, float y, float z);
	//void setMaterial(Material* m);
};
#endif